<?php
/**
 * Fitness Gym Coach: Block Patterns
 *
 * @since Fitness Gym Coach 1.0
 */

function fitness_gym_coach_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'fitness-gym-coach' => array( 'label' => __( 'Fitness Gym Coach', 'fitness-gym-coach' ) )
	);
	$block_pattern_categories = apply_filters( 'fitness_gym_coach_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fitness_gym_coach_register_block_patterns', 9 );